/***************************************************************************
 *   Copyright (C) 2008 by Istvan Bartha   *
 *   bico@k.ro   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _GIMPER_H_
#define _GIMPER_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <ksystemtray.h>
#include <qprocess.h>

#include "unhidetrigger.h"


/**
 * @short System Tray Application
 * @author bico <bico@k.ro>
 * @version 1.5
 */
class Gimper : public KSystemTray
{
    Q_OBJECT
public:
    // Default Constructor
    Gimper();
    // Default Destructor
    virtual ~Gimper();

    virtual void init();

    void forceActiveWindow( long window );
    QProcess* gimprocess;
    void readsettings();

public slots:
    virtual void closeEvent( QCloseEvent * ce );

protected:
    virtual void mouseReleaseEvent( QMouseEvent * );
    virtual void mouseDoubleClickEvent( QMouseEvent * );

private:
    int moves;
    UnhideTrigger::Trigger m_unhideTriggeredAt;

private slots:
    void launch();
//    void offscreenToggled(bool);
    void animateToggled(bool);
    void sideSwitched();
    void unhideTriggered( UnhideTrigger::Trigger t);
};

#endif // _GIMPER_H_
