/***************************************************************************
 *   Copyright (C) 2008 by Istvan Bartha  *
 *   bico@k.ro   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "gimper.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("The GIMP Activator");

static const char version[] = "1.5";

static KCmdLineOptions options[] =
{ KCmdLineLastOption };

int main(int argc, char **argv)
{
    KAboutData about("gimper", I18N_NOOP("Gimper"), version, description,
		     KAboutData::License_GPL, "(C) 2008-2009 Istvan Bartha", 0, 0, "bico@k.ro");
    about.addAuthor( "Istvan Bartha", 0, "bico@k.ro" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    Gimper *mainWin = 0;

    if (app.isRestored())
    {
//        RESTORE(Gimper);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new Gimper();
        app.setMainWidget( mainWin );
        mainWin->show();
	mainWin->init();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

